For the complete documentation index, see llms.txt. This page is also available as Markdown.

Actividades

Use el endpoint de Actividades para consultar la actividad y el historial de cambios en Violet.

El actividades El endpoint activities se puede usar para consultar el historial de actividad y de cambios en todo su tenant de Violet o para entidades específicas en su entorno de Violet.

get

Gets all the activities in Violet System.

Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Parámetros de consulta
limitanyOpcional
pageanyOpcional
Respuestas
200

Returned if the request is successful.

application/json
itemsobject · VioletBaseActivityDto[]Requerido
hasNextPagebooleanRequerido
get/api/activities
GET /api/activities HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {}
  ],
  "hasNextPage": true
}
get

Gets a parentActivity in Violet System.

Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Parámetros de ruta
idstringRequerido
Respuestas
200

Activity with specified ID

application/json
idstringRequerido
classstring · enumRequeridoValores posibles:
eventTypestring · enumRequeridoValores posibles:
detailsobjectRequerido
createdAtstring · date-timeRequerido
tenantIdstringRequerido
parentActivityIdstringOpcional
allDescendantIdsstring[]Opcional
scopeWorkspaceIdsstring[] · nullableOpcional
scopeProgramIdsstring[] · nullableOpcional
scopeConnectionIdsstring[] · nullableOpcional
fetchJobIdstringOpcional
isHiddenbooleanRequerido
get/api/activities/{id}
GET /api/activities/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Activity with specified ID

{
  "id": "text",
  "class": "IntegrationActivity",
  "eventType": "ENTITY_ADDED",
  "details": {},
  "createdAt": "2026-01-01T00:00:00.000Z",
  "tenantId": "text",
  "parentActivityId": "text",
  "parentActivity": {
    "id": "text",
    "class": "IntegrationActivity",
    "eventType": "ENTITY_ADDED",
    "details": {},
    "createdAt": "2026-01-01T00:00:00.000Z",
    "tenantId": "text",
    "parentActivityId": "text",
    "parentActivity": {
      "id": "text",
      "class": "IntegrationActivity",
      "eventType": "ENTITY_ADDED",
      "details": {},
      "createdAt": "2026-01-01T00:00:00.000Z",
      "tenantId": "text",
      "parentActivityId": "text",
      "parentActivity": {
        "id": "text",
        "class": "IntegrationActivity",
        "eventType": "ENTITY_ADDED",
        "details": {},
        "createdAt": "2026-01-01T00:00:00.000Z",
        "tenantId": "text",
        "parentActivityId": "text",
        "parentActivity": {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": {
            "id": "text",
            "class": "IntegrationActivity",
            "eventType": "ENTITY_ADDED",
            "details": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "tenantId": "text",
            "parentActivityId": "text",
            "parentActivity": "[Circular Reference]",
            "childActivities": "[Circular Reference]",
            "allDescendantIds": [
              "text"
            ],
            "scopeWorkspaceIds": [
              "text"
            ],
            "scopeProgramIds": [
              "text"
            ],
            "scopeConnectionIds": [
              "text"
            ],
            "notificationEvents": "[Circular Reference]",
            "fetchJobId": "text",
            "workflowRuns": "[Circular Reference]",
            "isHidden": true
          },
          "childActivities": [
            "[Circular Reference]"
          ],
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": [
            "[Circular Reference]"
          ],
          "fetchJobId": "text",
          "workflowRuns": [
            "[Circular Reference]"
          ],
          "isHidden": true
        },
        "childActivities": [
          {
            "id": "text",
            "class": "IntegrationActivity",
            "eventType": "ENTITY_ADDED",
            "details": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "tenantId": "text",
            "parentActivityId": "text",
            "parentActivity": {
              "id": "text",
              "class": "IntegrationActivity",
              "eventType": "ENTITY_ADDED",
              "details": {},
              "createdAt": "2026-01-01T00:00:00.000Z",
              "tenantId": "text",
              "parentActivityId": "text",
              "parentActivity": {
                "id": "text",
                "class": "IntegrationActivity",
                "eventType": "ENTITY_ADDED",
                "details": {},
                "createdAt": "2026-01-01T00:00:00.000Z",
                "tenantId": "text",
                "parentActivityId": "text",
                "parentActivity": "[Circular Reference]",
                "childActivities": "[Circular Reference]",
                "allDescendantIds": [
                  "text"
                ],
                "scopeWorkspaceIds": [
                  "text"
                ],
                "scopeProgramIds": [
                  "text"
                ],
                "scopeConnectionIds": [
                  "text"
                ],
                "notificationEvents": "[Circular Reference]",
                "fetchJobId": "text",
                "workflowRuns": "[Circular Reference]",
                "isHidden": true
              },
              "childActivities": [
                "[Circular Reference]"
              ],
              "allDescendantIds": [
                "text"
              ],
              "scopeWorkspaceIds": [
                "text"
              ],
              "scopeProgramIds": [
                "text"
              ],
              "scopeConnectionIds": [
                "text"
              ],
              "notificationEvents": [
                "[Circular Reference]"
              ],
              "fetchJobId": "text",
              "workflowRuns": [
                "[Circular Reference]"
              ],
              "isHidden": true
            },
            "childActivities": "[Circular Reference]",
            "allDescendantIds": [
              "text"
            ],
            "scopeWorkspaceIds": [
              "text"
            ],
            "scopeProgramIds": [
              "text"
            ],
            "scopeConnectionIds": [
              "text"
            ],
            "notificationEvents": "[Circular Reference]",
            "fetchJobId": "text",
            "workflowRuns": "[Circular Reference]",
            "isHidden": true
          }
        ],
        "allDescendantIds": [
          "text"
        ],
        "scopeWorkspaceIds": [
          "text"
        ],
        "scopeProgramIds": [
          "text"
        ],
        "scopeConnectionIds": [
          "text"
        ],
        "notificationEvents": [
          {
            "id": "text",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "deletedAt": "2026-01-01T00:00:00.000Z",
            "status": "unread",
            "seq": 1,
            "activity": "[Circular Reference]",
            "notificationTitle": "text",
            "notificationUrl": "text",
            "targetUserId": "text",
            "targetUser": "[Circular Reference]"
          }
        ],
        "fetchJobId": "text",
        "workflowRuns": [
          {
            "id": "text",
            "createdAt": "2026-01-01T00:00:00.000Z",
            "updatedAt": "2026-01-01T00:00:00.000Z",
            "deletedAt": "2026-01-01T00:00:00.000Z",
            "workflowConfiguration": "[Circular Reference]",
            "workflowConfigurationId": "text",
            "runStartAt": "2026-01-01T00:00:00.000Z",
            "runFinishedAt": "2026-01-01T00:00:00.000Z",
            "runStatus": "QUEUED",
            "runInfo": "text",
            "activity": "[Circular Reference]",
            "gateResponder": "[Circular Reference]",
            "createdSyncChanges": "[Circular Reference]",
            "executedSyncChanges": "[Circular Reference]"
          }
        ],
        "isHidden": true
      },
      "childActivities": [
        {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": {
            "id": "text",
            "class": "IntegrationActivity",
            "eventType": "ENTITY_ADDED",
            "details": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "tenantId": "text",
            "parentActivityId": "text",
            "parentActivity": {
              "id": "text",
              "class": "IntegrationActivity",
              "eventType": "ENTITY_ADDED",
              "details": {},
              "createdAt": "2026-01-01T00:00:00.000Z",
              "tenantId": "text",
              "parentActivityId": "text",
              "parentActivity": "[Circular Reference]",
              "childActivities": "[Circular Reference]",
              "allDescendantIds": [
                "text"
              ],
              "scopeWorkspaceIds": [
                "text"
              ],
              "scopeProgramIds": [
                "text"
              ],
              "scopeConnectionIds": [
                "text"
              ],
              "notificationEvents": "[Circular Reference]",
              "fetchJobId": "text",
              "workflowRuns": "[Circular Reference]",
              "isHidden": true
            },
            "childActivities": [
              "[Circular Reference]"
            ],
            "allDescendantIds": [
              "text"
            ],
            "scopeWorkspaceIds": [
              "text"
            ],
            "scopeProgramIds": [
              "text"
            ],
            "scopeConnectionIds": [
              "text"
            ],
            "notificationEvents": [
              "[Circular Reference]"
            ],
            "fetchJobId": "text",
            "workflowRuns": [
              "[Circular Reference]"
            ],
            "isHidden": true
          },
          "childActivities": "[Circular Reference]",
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": "[Circular Reference]",
          "fetchJobId": "text",
          "workflowRuns": "[Circular Reference]",
          "isHidden": true
        }
      ],
      "allDescendantIds": [
        "text"
      ],
      "scopeWorkspaceIds": [
        "text"
      ],
      "scopeProgramIds": [
        "text"
      ],
      "scopeConnectionIds": [
        "text"
      ],
      "notificationEvents": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "status": "unread",
          "seq": 1,
          "activity": "[Circular Reference]",
          "notificationTitle": "text",
          "notificationUrl": "text",
          "targetUserId": "text",
          "targetUser": "[Circular Reference]"
        }
      ],
      "fetchJobId": "text",
      "workflowRuns": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "workflowConfiguration": "[Circular Reference]",
          "workflowConfigurationId": "text",
          "runStartAt": "2026-01-01T00:00:00.000Z",
          "runFinishedAt": "2026-01-01T00:00:00.000Z",
          "runStatus": "QUEUED",
          "runInfo": "text",
          "activity": "[Circular Reference]",
          "gateResponder": "[Circular Reference]",
          "createdSyncChanges": "[Circular Reference]",
          "executedSyncChanges": "[Circular Reference]"
        }
      ],
      "isHidden": true
    },
    "childActivities": [
      {
        "id": "text",
        "class": "IntegrationActivity",
        "eventType": "ENTITY_ADDED",
        "details": {},
        "createdAt": "2026-01-01T00:00:00.000Z",
        "tenantId": "text",
        "parentActivityId": "text",
        "parentActivity": {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": {
            "id": "text",
            "class": "IntegrationActivity",
            "eventType": "ENTITY_ADDED",
            "details": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "tenantId": "text",
            "parentActivityId": "text",
            "parentActivity": "[Circular Reference]",
            "childActivities": "[Circular Reference]",
            "allDescendantIds": [
              "text"
            ],
            "scopeWorkspaceIds": [
              "text"
            ],
            "scopeProgramIds": [
              "text"
            ],
            "scopeConnectionIds": [
              "text"
            ],
            "notificationEvents": "[Circular Reference]",
            "fetchJobId": "text",
            "workflowRuns": "[Circular Reference]",
            "isHidden": true
          },
          "childActivities": [
            "[Circular Reference]"
          ],
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": [
            "[Circular Reference]"
          ],
          "fetchJobId": "text",
          "workflowRuns": [
            "[Circular Reference]"
          ],
          "isHidden": true
        },
        "childActivities": "[Circular Reference]",
        "allDescendantIds": [
          "text"
        ],
        "scopeWorkspaceIds": [
          "text"
        ],
        "scopeProgramIds": [
          "text"
        ],
        "scopeConnectionIds": [
          "text"
        ],
        "notificationEvents": "[Circular Reference]",
        "fetchJobId": "text",
        "workflowRuns": "[Circular Reference]",
        "isHidden": true
      }
    ],
    "allDescendantIds": [
      "text"
    ],
    "scopeWorkspaceIds": [
      "text"
    ],
    "scopeProgramIds": [
      "text"
    ],
    "scopeConnectionIds": [
      "text"
    ],
    "notificationEvents": [
      {
        "id": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "deletedAt": "2026-01-01T00:00:00.000Z",
        "status": "unread",
        "seq": 1,
        "activity": "[Circular Reference]",
        "notificationTitle": "text",
        "notificationUrl": "text",
        "targetUserId": "text",
        "targetUser": "[Circular Reference]"
      }
    ],
    "fetchJobId": "text",
    "workflowRuns": [
      {
        "id": "text",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "updatedAt": "2026-01-01T00:00:00.000Z",
        "deletedAt": "2026-01-01T00:00:00.000Z",
        "workflowConfiguration": "[Circular Reference]",
        "workflowConfigurationId": "text",
        "runStartAt": "2026-01-01T00:00:00.000Z",
        "runFinishedAt": "2026-01-01T00:00:00.000Z",
        "runStatus": "QUEUED",
        "runInfo": "text",
        "activity": "[Circular Reference]",
        "gateResponder": "[Circular Reference]",
        "createdSyncChanges": "[Circular Reference]",
        "executedSyncChanges": "[Circular Reference]"
      }
    ],
    "isHidden": true
  },
  "childActivities": [
    {
      "id": "text",
      "class": "IntegrationActivity",
      "eventType": "ENTITY_ADDED",
      "details": {},
      "createdAt": "2026-01-01T00:00:00.000Z",
      "tenantId": "text",
      "parentActivityId": "text",
      "parentActivity": {
        "id": "text",
        "class": "IntegrationActivity",
        "eventType": "ENTITY_ADDED",
        "details": {},
        "createdAt": "2026-01-01T00:00:00.000Z",
        "tenantId": "text",
        "parentActivityId": "text",
        "parentActivity": {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": "[Circular Reference]",
          "childActivities": "[Circular Reference]",
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": "[Circular Reference]",
          "fetchJobId": "text",
          "workflowRuns": "[Circular Reference]",
          "isHidden": true
        },
        "childActivities": [
          "[Circular Reference]"
        ],
        "allDescendantIds": [
          "text"
        ],
        "scopeWorkspaceIds": [
          "text"
        ],
        "scopeProgramIds": [
          "text"
        ],
        "scopeConnectionIds": [
          "text"
        ],
        "notificationEvents": [
          "[Circular Reference]"
        ],
        "fetchJobId": "text",
        "workflowRuns": [
          "[Circular Reference]"
        ],
        "isHidden": true
      },
      "childActivities": "[Circular Reference]",
      "allDescendantIds": [
        "text"
      ],
      "scopeWorkspaceIds": [
        "text"
      ],
      "scopeProgramIds": [
        "text"
      ],
      "scopeConnectionIds": [
        "text"
      ],
      "notificationEvents": "[Circular Reference]",
      "fetchJobId": "text",
      "workflowRuns": "[Circular Reference]",
      "isHidden": true
    }
  ],
  "allDescendantIds": [
    "text"
  ],
  "scopeWorkspaceIds": [
    "text"
  ],
  "scopeProgramIds": [
    "text"
  ],
  "scopeConnectionIds": [
    "text"
  ],
  "notificationEvents": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "status": "unread",
      "seq": 1,
      "activity": "[Circular Reference]",
      "notificationTitle": "text",
      "notificationUrl": "text",
      "targetUserId": "text",
      "targetUser": "[Circular Reference]"
    }
  ],
  "fetchJobId": "text",
  "workflowRuns": [
    {
      "id": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "deletedAt": "2026-01-01T00:00:00.000Z",
      "workflowConfiguration": "[Circular Reference]",
      "workflowConfigurationId": "text",
      "runStartAt": "2026-01-01T00:00:00.000Z",
      "runFinishedAt": "2026-01-01T00:00:00.000Z",
      "runStatus": "QUEUED",
      "runInfo": "text",
      "activity": "[Circular Reference]",
      "gateResponder": "[Circular Reference]",
      "createdSyncChanges": "[Circular Reference]",
      "executedSyncChanges": "[Circular Reference]"
    }
  ],
  "isHidden": true
}
get

Gets all the Activities for a Violet Entity in the Violet System

Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Parámetros de consulta
externalIdstringRequerido

External ID of the Violet Entity

integrationEntityIdsstring[]Requerido

Integration Entity IDs to filter by

limitintegerOpcional

The maximum number of results to return.

pageintegerOpcional

A page number within the paginated result set.

countanyOpcional
Respuestas
200

Activities pertaining to the given Violet Entity

application/json
get/api/activities/violet-entity
GET /api/activities/violet-entity?externalId=text&integrationEntityIds=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Activities pertaining to the given Violet Entity

{
  "items": [
    {
      "id": "text",
      "class": "IntegrationActivity",
      "eventType": "ENTITY_ADDED",
      "details": {},
      "createdAt": "2026-01-01T00:00:00.000Z",
      "tenantId": "text",
      "parentActivityId": "text",
      "parentActivity": {
        "id": "text",
        "class": "IntegrationActivity",
        "eventType": "ENTITY_ADDED",
        "details": {},
        "createdAt": "2026-01-01T00:00:00.000Z",
        "tenantId": "text",
        "parentActivityId": "text",
        "parentActivity": {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": "[Circular Reference]",
          "childActivities": "[Circular Reference]",
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": "[Circular Reference]",
          "fetchJobId": "text",
          "workflowRuns": "[Circular Reference]",
          "isHidden": true
        },
        "childActivities": [
          "[Circular Reference]"
        ],
        "allDescendantIds": [
          "text"
        ],
        "scopeWorkspaceIds": [
          "text"
        ],
        "scopeProgramIds": [
          "text"
        ],
        "scopeConnectionIds": [
          "text"
        ],
        "notificationEvents": [
          "[Circular Reference]"
        ],
        "fetchJobId": "text",
        "workflowRuns": [
          "[Circular Reference]"
        ],
        "isHidden": true
      },
      "childActivities": [
        {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": {
            "id": "text",
            "class": "IntegrationActivity",
            "eventType": "ENTITY_ADDED",
            "details": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "tenantId": "text",
            "parentActivityId": "text",
            "parentActivity": {
              "id": "text",
              "class": "IntegrationActivity",
              "eventType": "ENTITY_ADDED",
              "details": {},
              "createdAt": "2026-01-01T00:00:00.000Z",
              "tenantId": "text",
              "parentActivityId": "text",
              "parentActivity": "[Circular Reference]",
              "childActivities": "[Circular Reference]",
              "allDescendantIds": [
                "text"
              ],
              "scopeWorkspaceIds": [
                "text"
              ],
              "scopeProgramIds": [
                "text"
              ],
              "scopeConnectionIds": [
                "text"
              ],
              "notificationEvents": "[Circular Reference]",
              "fetchJobId": "text",
              "workflowRuns": "[Circular Reference]",
              "isHidden": true
            },
            "childActivities": [
              "[Circular Reference]"
            ],
            "allDescendantIds": [
              "text"
            ],
            "scopeWorkspaceIds": [
              "text"
            ],
            "scopeProgramIds": [
              "text"
            ],
            "scopeConnectionIds": [
              "text"
            ],
            "notificationEvents": [
              "[Circular Reference]"
            ],
            "fetchJobId": "text",
            "workflowRuns": [
              "[Circular Reference]"
            ],
            "isHidden": true
          },
          "childActivities": "[Circular Reference]",
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": "[Circular Reference]",
          "fetchJobId": "text",
          "workflowRuns": "[Circular Reference]",
          "isHidden": true
        }
      ],
      "allDescendantIds": [
        "text"
      ],
      "scopeWorkspaceIds": [
        "text"
      ],
      "scopeProgramIds": [
        "text"
      ],
      "scopeConnectionIds": [
        "text"
      ],
      "notificationEvents": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "status": "unread",
          "seq": 1,
          "activity": "[Circular Reference]",
          "notificationTitle": "text",
          "notificationUrl": "text",
          "targetUserId": "text",
          "targetUser": "[Circular Reference]"
        }
      ],
      "fetchJobId": "text",
      "workflowRuns": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "workflowConfiguration": "[Circular Reference]",
          "workflowConfigurationId": "text",
          "runStartAt": "2026-01-01T00:00:00.000Z",
          "runFinishedAt": "2026-01-01T00:00:00.000Z",
          "runStatus": "QUEUED",
          "runInfo": "text",
          "activity": "[Circular Reference]",
          "gateResponder": "[Circular Reference]",
          "createdSyncChanges": "[Circular Reference]",
          "executedSyncChanges": "[Circular Reference]"
        }
      ],
      "isHidden": true
    }
  ],
  "meta": {
    "itemCount": 1,
    "totalItems": 1,
    "itemsPerPage": 1,
    "totalPages": 1,
    "currentPage": 1
  },
  "links": {
    "first": "text",
    "previous": "text",
    "next": "text",
    "last": "text"
  }
}
get
Autorizaciones
AuthorizationstringRequerido
Bearer authentication header of the form Bearer <token>.
Parámetros de consulta
violetEntityIdstringRequerido

Internal ID of the Violet Entity

limitintegerOpcional

The maximum number of results to return.

pageintegerOpcional

A page number within the paginated result set.

countanyOpcional
Respuestas
200

Activities pertaining to the given internal Violet Entity

application/json
get/api/activities/internal-violet-entity
GET /api/activities/internal-violet-entity?violetEntityId=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Activities pertaining to the given internal Violet Entity

{
  "items": [
    {
      "id": "text",
      "class": "IntegrationActivity",
      "eventType": "ENTITY_ADDED",
      "details": {},
      "createdAt": "2026-01-01T00:00:00.000Z",
      "tenantId": "text",
      "parentActivityId": "text",
      "parentActivity": {
        "id": "text",
        "class": "IntegrationActivity",
        "eventType": "ENTITY_ADDED",
        "details": {},
        "createdAt": "2026-01-01T00:00:00.000Z",
        "tenantId": "text",
        "parentActivityId": "text",
        "parentActivity": {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": "[Circular Reference]",
          "childActivities": "[Circular Reference]",
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": "[Circular Reference]",
          "fetchJobId": "text",
          "workflowRuns": "[Circular Reference]",
          "isHidden": true
        },
        "childActivities": [
          "[Circular Reference]"
        ],
        "allDescendantIds": [
          "text"
        ],
        "scopeWorkspaceIds": [
          "text"
        ],
        "scopeProgramIds": [
          "text"
        ],
        "scopeConnectionIds": [
          "text"
        ],
        "notificationEvents": [
          "[Circular Reference]"
        ],
        "fetchJobId": "text",
        "workflowRuns": [
          "[Circular Reference]"
        ],
        "isHidden": true
      },
      "childActivities": [
        {
          "id": "text",
          "class": "IntegrationActivity",
          "eventType": "ENTITY_ADDED",
          "details": {},
          "createdAt": "2026-01-01T00:00:00.000Z",
          "tenantId": "text",
          "parentActivityId": "text",
          "parentActivity": {
            "id": "text",
            "class": "IntegrationActivity",
            "eventType": "ENTITY_ADDED",
            "details": {},
            "createdAt": "2026-01-01T00:00:00.000Z",
            "tenantId": "text",
            "parentActivityId": "text",
            "parentActivity": {
              "id": "text",
              "class": "IntegrationActivity",
              "eventType": "ENTITY_ADDED",
              "details": {},
              "createdAt": "2026-01-01T00:00:00.000Z",
              "tenantId": "text",
              "parentActivityId": "text",
              "parentActivity": "[Circular Reference]",
              "childActivities": "[Circular Reference]",
              "allDescendantIds": [
                "text"
              ],
              "scopeWorkspaceIds": [
                "text"
              ],
              "scopeProgramIds": [
                "text"
              ],
              "scopeConnectionIds": [
                "text"
              ],
              "notificationEvents": "[Circular Reference]",
              "fetchJobId": "text",
              "workflowRuns": "[Circular Reference]",
              "isHidden": true
            },
            "childActivities": [
              "[Circular Reference]"
            ],
            "allDescendantIds": [
              "text"
            ],
            "scopeWorkspaceIds": [
              "text"
            ],
            "scopeProgramIds": [
              "text"
            ],
            "scopeConnectionIds": [
              "text"
            ],
            "notificationEvents": [
              "[Circular Reference]"
            ],
            "fetchJobId": "text",
            "workflowRuns": [
              "[Circular Reference]"
            ],
            "isHidden": true
          },
          "childActivities": "[Circular Reference]",
          "allDescendantIds": [
            "text"
          ],
          "scopeWorkspaceIds": [
            "text"
          ],
          "scopeProgramIds": [
            "text"
          ],
          "scopeConnectionIds": [
            "text"
          ],
          "notificationEvents": "[Circular Reference]",
          "fetchJobId": "text",
          "workflowRuns": "[Circular Reference]",
          "isHidden": true
        }
      ],
      "allDescendantIds": [
        "text"
      ],
      "scopeWorkspaceIds": [
        "text"
      ],
      "scopeProgramIds": [
        "text"
      ],
      "scopeConnectionIds": [
        "text"
      ],
      "notificationEvents": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "status": "unread",
          "seq": 1,
          "activity": "[Circular Reference]",
          "notificationTitle": "text",
          "notificationUrl": "text",
          "targetUserId": "text",
          "targetUser": "[Circular Reference]"
        }
      ],
      "fetchJobId": "text",
      "workflowRuns": [
        {
          "id": "text",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "updatedAt": "2026-01-01T00:00:00.000Z",
          "deletedAt": "2026-01-01T00:00:00.000Z",
          "workflowConfiguration": "[Circular Reference]",
          "workflowConfigurationId": "text",
          "runStartAt": "2026-01-01T00:00:00.000Z",
          "runFinishedAt": "2026-01-01T00:00:00.000Z",
          "runStatus": "QUEUED",
          "runInfo": "text",
          "activity": "[Circular Reference]",
          "gateResponder": "[Circular Reference]",
          "createdSyncChanges": "[Circular Reference]",
          "executedSyncChanges": "[Circular Reference]"
        }
      ],
      "isHidden": true
    }
  ],
  "meta": {
    "itemCount": 1,
    "totalItems": 1,
    "itemsPerPage": 1,
    "totalPages": 1,
    "currentPage": 1
  },
  "links": {
    "first": "text",
    "previous": "text",
    "next": "text",
    "last": "text"
  }
}

¿Te fue útil?